package model

import (
	"time"
)

type SysPushUser struct {
	Id       int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	PushId   int       `json:"push_id" xorm:"not null default 0 comment('sys_push_app表ID') index INT(11)"`
	Uid      int       `json:"uid" xorm:"not null default 0 INT(11)"`
	State    int       `json:"state" xorm:"not null default 0 comment('发送状态；0：失败；1：成功') TINYINT(1)"`
	Time     time.Time `json:"time" xorm:"default CURRENT_TIMESTAMP comment('发送时间') TIMESTAMP"`
	SendData string    `json:"send_data" xorm:"comment('发送内容，json格式') TEXT"`
	Provider string    `json:"provider" xorm:"not null default 'mob' comment('平台供应商,如:mob，official：官方推送') VARCHAR(16)"`
	Type     string    `json:"type" xorm:"not null default '' comment('模板类型 | 推送类型；public;：普通推送;activity：活动通知；order_self：新订单提醒（导购自购新订单）,order_team：新订单提醒（团队新订单）,order_share：新订单提醒（导购分享新订单）,member_register：团队成员注册成功,level_upgrade：团队成员等级升级成功,withdraw_fail：提现失败提醒,withdraw_success：提现成功提醒,comission_settle_success：佣金结算提醒（平台结算）') VARCHAR(50)"`
	SendAt   int       `json:"send_at" xorm:"not null default 0 comment('官方活动显示时间(大于当前时间戳才显示)；0为即可显示') INT(11)"`
	IsRead   int       `json:"is_read" xorm:"not null default 0 comment('是否已读；0：未读；1：已读') TINYINT(1)"`
}
